invoices
Create invoice
Creates a draft invoice with line items for a customer.
POST /v1/invoices
Authorization
Required scope:
invoices:write
Mutations on this endpoint require the Idempotency-Key header.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
Idempotency-Key | header | string | required | Unique key; safe retries return the stored response. |
customerName | body | string | required | — |
customerEmail | body | string | required | — |
lineItems | body | array | required | At least one line item. |
Request
{
"customerName": "Hotel Nordlicht GmbH",
"customerEmail": "ap@hotel-nordlicht.de",
"lineItems": [
{ "description": "Platform subscription", "quantity": 1, "unitPriceCents": 4900, "currency": "EUR" }
]
}Webhook events
| Event | Description |
|---|---|
invoice.created | An invoice was created. |